• English
  • Query Order Result

    Request Path

    /api/v2/payment/merchant/order/queryStatus

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString32NoUnique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo.
    orderNoString32NoUnique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId.

    Return Value

    NameTypeLengthRequiredDescription
    orderIdString32yesThe unique Order Number of the merchant, which can be used to query transaction results
    orderNoString32yesPalmPay platform Order No.
    merchantIdString32yesMerchant ID number
    currencyString10yesCurrency (NGN)
    amountLong-yesTransaction amount (minimum unit measurement)
    orderStatusInteger20yesOrder Status(seeOrder Status)
    remarkString200noRemarks
    errorMsgString200noError message
    createdTimeLong-yesorder create time
    completedTimeLong-Noorder complate time

    Error Code

    Error Code

    Postman Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/order/queryStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: ZA' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId": "merchantOrderId",
        "orderNo": "2420903032435363613"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderId": "merchantOrderId",
        "orderNo": "2420903032435363613",
        "merchantId": "CH1913953825",
        "currency": "ZAR",
        "amount": 35000,
        "orderStatus": 2,
        "createdTime": 1708927047000,
        "completedTime": 1708927065000
      }
    }